﻿using System;
using System.IO;
using System.Web;
using System.Linq;
using System.Text;
using System.Data;
using System.Drawing;
using System.Web.Mvc;
using System.Collections;
using System.Web.Mvc.Ajax;
using System.ComponentModel;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using Syncfusion.Mvc.Grid;
using Syncfusion.DocIO.DLS;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using MvcApplication10.Models;
namespace MvcApplication10.Controllers
{
    public partial class LayoutController : Controller
    {
        public ActionResult ControlsInLayout()
        {
            
            return View();
        }
      [AcceptVerbs(HttpVerbs.Post)]
      public ActionResult GridFeatures(PagingParams args)
      {
          IEnumerable data = OrderRepository.GetAllRecords().Take(200).ToList();
          return data.GridJSONActions<MvcApplication10.Models.Student>();
      }
        public ActionResult OrderSave(Student ord)
        {
            Models.OrderRepository.Update(ord);
            var data = Models.OrderRepository.GetAllRecords();
            return data.GridJSONActions<Student>();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult AddOrder(Student ord)
        {
            Models.OrderRepository.Add(ord);
            var data = Models.OrderRepository.GetAllRecords();
            return data.GridJSONActions<Student>();
        }
       [AcceptVerbs(HttpVerbs.Post)]
       public ActionResult DeleteOrder(long UniversityCode)
       {
            if (ModelState.IsValid)
            {
               Models.OrderRepository.Delete(UniversityCode);
            }
            var data = Models.OrderRepository.GetAllRecords();
            return data.GridJSONActions<Student>();
       }
    }
}
